Package org.kapott.hbci.passport

# Class HBCIPassportPinTanMemory

java.lang.Object
org.kapott.hbci.passport.AbstractHBCIPassport
org.kapott.hbci.passport.AbstractPinTanPassport
org.kapott.hbci.passport.HBCIPassportPinTan
org.kapott.hbci.passport.HBCIPassportPinTanMemory

All Implemented Interfaces:
  `Serializable`, `HBCIPassport`, `HBCIPassportInternal`

public class HBCIPassportPinTanMemory extends HBCIPassportPinTan
Implementierung eines PIN/TAN-Passport, welcher keine Daten im Dateisystem ablegt sondern alle Daten im Speicher haelt.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.kapott.hbci.passport.AbstractPinTanPassport

`decoupledRefreshes, KEY_PD_CHALLENGE, KEY_PD_HHDUC, KEY_PD_ORDERREF, KEY_PD_SCA`

### Fields inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`KEY_EXTERNAL_ID, KEY_VOP_RESULT`

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

## Constructor Summary

Constructors
Constructor
Description
`HBCIPassportPinTanMemory(Object init)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`create()`
Erzeugt die Passport-Datei wenn noetig.
`protected void`
`read()`
Liest die Daten aus der Passport-Datei ein.
`void`
`saveChanges()`
Speichern der Änderungen an den Passport-Daten.
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.passport.HBCIPassportPinTan

`close, decrypt, encrypt, getFileName, hash, resetPassphrase, setFileName, sign, verify`

### Methods inherited from class org.kapott.hbci.passport.AbstractPinTanPassport

`activateTANVerifyMode, clearPIN, collectSegCodes, deactivateTANVerifyMode, getAllowedTwostepMechanisms, getCertFile, getCheckCert, getCommInstance, getCryptAlg, getCryptFunction, getCryptKeyType, getCryptMode, getCurrentSecMechInfo, getCurrentTANMethod, getDecoupledMaxRefreshes, getHashAlg, getHost, getInstEncKey, getInstEncKeyName, getInstEncKeyNum, getInstEncKeyVersion, getInstSigKey, getInstSigKeyName, getInstSigKeyNum, getInstSigKeyVersion, getMaxGVSegsPerMsg, getMinimumTimeBeforeFirstDecoupledRefresh, getMinimumTimeBeforeNextDecoupledRefresh, getMyEncKeyName, getMyEncKeyNum, getMyEncKeyVersion, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getMySigKeyName, getMySigKeyNum, getMySigKeyVersion, getPassportTypeName, getPIN, getPinLengthMax, getPinLengthMin, getPinTanInfo, getProfileMethod, getProfileVersion, getProxy, getProxyPass, getProxyUser, getSigAlg, getSigFunction, getSigMode, getSysStatus, getTwostepMechanisms, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, incSigId, isSupported, needInstKeys, needUserKeys, needUserSig, onDialogEvent, resetSecMechs, setAllowedTwostepMechanisms, setBPD, setCertFile, setCheckCert, setCurrentTANMethod, setInstEncKey, setInstSigKey, setMyPrivateDigKey, setMyPrivateEncKey, setMyPrivateSigKey, setMyPublicDigKey, setMyPublicEncKey, setMyPublicSigKey, setPIN, setProxy, setProxyPass, setProxyUser, shouldPerformDecoupledRefresh`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, closeComm, fillAccountInfo, generateNewUserKeys, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, isAnonymous, onlyBPDGVs, setBLZ, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HBCIPassportPinTanMemory

public HBCIPassportPinTanMemory(Object init)
ct.

Parameters:
  `init` - Generische Init-Daten.

## Method Details

### create

protected void create()
Description copied from class: `HBCIPassportPinTan`
Erzeugt die Passport-Datei wenn noetig. In eine extra Funktion ausgelagert, damit es von abgeleiteten Klassen ueberschrieben werden kann.

Overrides:
  `create` in class `HBCIPassportPinTan`
See Also:
  - `HBCIPassportPinTan.create()`

### read

protected void read()
Description copied from class: `HBCIPassportPinTan`
Liest die Daten aus der Passport-Datei ein. In eine extra Funktion ausgelagert, damit es von abgeleiteten Klassen ueberschrieben werden kann. Zum Beispiel, um eine andere Art der Persistierung zu implementieren.

Overrides:
  `read` in class `HBCIPassportPinTan`
See Also:
  - `HBCIPassportPinTan.read()`

### saveChanges

public void saveChanges()
Description copied from interface: `HBCIPassport`
Speichern der Änderungen an den Passport-Daten. Diese Methode sollte eigentlich niemals manuell aus einer Anwendung heraus aufgerufen werden, sondern wird vom HBCI-Kernel benutzt. Das manuelle Aufrufen von `saveChanges` ist nur dann sinnvoll, wenn irgendwelche Passport-Daten manuell verändert werden (`HBCIPassport.setHost(String)`, `HBCIPassport.clearBPD()` usw.) und diese Änderungen explizit gespeichert werden sollen.

Specified by:
  `saveChanges` in interface `HBCIPassport`
Overrides:
  `saveChanges` in class `HBCIPassportPinTan`
See Also:
  - `HBCIPassportPinTan.saveChanges()`

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`